Create TransactionCopy Pagepost https://uat1.billdesk.com/u2/payments/ve1_2/transactions/createThis endpoint creates a new transaction to initiate a charge using a payment method.Body ParamsmercidstringrequiredUnique identifier as defined by BillDesk for each merchantorderidstringrequiredUnique ID generated by the merchant for each requestamountstringrequiredTransaction amount in two decimals, eg. 299.28bankidstringBillDesk defined unique identifier for acquirer Mandatory for Upi and Netbanking flowscurrencystringrequiredISO currency code of the transaction amount, for INR this value will be 356rustringrequiredMerchants URL where the customer will be redirected after a transaction is completedauthentication_typestringenumrequiredRepresents the type of authentication initiated in the request, will be fixed value - 3ds23ds2Allowed:3ds23ds_parameterstringenumrequiredValue that determines which entity will capture the device attributes, possible values are merchantmerchantAllowed:merchanttxn_process_typestringenumrequiredIndicates transaction processing type, will be the following values: AFA payment • card - 3ds or y3ds or 3ds_redirect • upi – collect, qr or intent • netbanking – nb • eft - offline Recurring payment • card, upi, bankaccount – siy3ds3dscollectintentqrnbeftsiShow 8 enum valuesitemcodestringrequiredItemcode value as provided by BillDesk, with a default value DIRECTdeviceobjectrequiredDevice objectpayment_method_typestringenumrequiredRepresents the method of payment, and can take the following values - card, netbanking, wallet, upi, eft, bankaccount, cashcard, cardless (non-card emi option) The associated object will also be provided in the request.cardnetbankingupieftcardlessbankaccountAllowed:cardnetbankingupieftcardlessbankaccountcardrequiredPay using card number - panPay using network tokenPay using issuer tokenPay using card account idPay using alt id tokenPay using card number - pan objectcustomer_refidstringUnique reference of the customer in the merchant system, and can be linked to different subscriptions of the same customer Required for mandate and tokenizationavsobjectThis API can be used to verify the bank account number by initiating a penny drop to the account. For upi, validation is done at acquiring bank endAccount validation objectmandateobjectmandate objectupiobjectRequired when payment_method_type = upi and txn_process_type = collectupi objectadditional_infoobjectArray of 7 additional_info values that can be attached to the transaction. Note: Merchant is advised to not pass customer PII information in additional info fields.additional_info objectHeadersBD-TraceidstringrequiredBD-TraceID is a unique identifier passed by the merchant to ensure request idempotency. Requests with identical BD-TraceID within a 24 hour window would fail.BD-TimestampstringrequiredRequest timestamp to identify date and time of origin of request. Example, a value of BD-Timestamp 20210113180403 identifies the request to have originated on 13th January 2021 at 06:04:03 PM.Content-TypestringrequiredRequest Content-Type to take the values application/joseAcceptstringrequiredAccept Response Content-Type to take the values application/joseResponses 200OK 403Forbidden 500Internal Server Error defaultAny bad or invalid request will lead to following error objectUpdated 6 months ago